# eimgmask

create few masks for image processing

#### Synopsis

imageMask=eimgmask(nRows,nCols[,maskType,[maskPara]])

#### Parameter(s)

nRows :

number of rows

nCols :

number of colums

maskType :

type of mask

1: rotation mask, default mask

2: linear mask

3: random mask

maskPara :

if maskType==1 then it’s radius of maximum, default=1

if maskType==2 then

it’s direction in deg ,default=-1

maskTyp<0: maximum in center

[0,45) : from N(orth to S(outh)

[45,90) : from NE to SW

[90,135) : from E to W

[135,180): from SE to NW

[180,225): from S to N

[225,270): from SW to NE

[270,315): from W to E

[315,360): from NW to SE

maskType>=360 : minimum in center

if maskType==3 then

it’s maximum of values, default=1

imageMask :

matrix of nRows x nCols with values between 0 and 1

Close